Skip to main content

Set up a new CIFS configuration

Sets up a new CIFS configuration for an existing Cloud Volumes ONTAP system. Use this to configure CIFS access for your workloads.

HTTP method and endpoint

POST /vsa/working-environments/{workingEnvironmentId}/cifs

Parameters

Name Type In Required Description

workingEnvironmentId

string

path

True

Request Body

Name Type Required Description

activeDirectoryDomain

string

True

Active Directory domain name

activeDirectoryPassword

string

True

Active Directory password

activeDirectoryUsername

string

True

Active Directory username

dnsDomain

string

False

DNS domain name

ipAddresses

array[string]

True

DNS server IP addresses

netBIOS

string

True

CIFS server NetBIOS name

organizationalUnit

string

True

Organizational unit for registration

svmName

string

False

SVM name

Example request
{
  "activeDirectoryDomain": "string",
  "activeDirectoryPassword": "string",
  "activeDirectoryUsername": "string",
  "dnsDomain": "string",
  "ipAddresses": [
    "string"
  ],
  "netBIOS": "string",
  "organizationalUnit": "string",
  "svmName": "string"
}

Error

Status: Default, Default response